---
parameters:
  - name: scenario
    type: string
    default: fedora-latest
  - name: build_number
    type: string
  - name: ansible_version
    type: string
    default: ""

jobs:
- template: playbook_tests.yml
  parameters:
    group_number: 1
    number_of_groups: 3
    build_number: ${{ parameters.build_number }}
    scenario: ${{ parameters.scenario }}
    ansible_version: ${{ parameters.ansible_version }}

- template: playbook_tests.yml
  parameters:
    group_number: 2
    number_of_groups: 3
    build_number: ${{ parameters.build_number }}
    scenario: ${{ parameters.scenario }}
    ansible_version: ${{ parameters.ansible_version }}

- template: playbook_tests.yml
  parameters:
    group_number: 3
    number_of_groups: 3
    build_number: ${{ parameters.build_number }}
    scenario: ${{ parameters.scenario }}
    ansible_version: ${{ parameters.ansible_version }}

# Temporarily disabled due to ansible docker plugin issue.
#- template: pytest_tests.yml
#  parameters:
#    build_number: ${{ parameters.build_number }}
#    scenario: ${{ parameters.scenario }}
#    ansible_version: ${{ parameters.ansible_version }}
